/*
 * generated by Xtext
 */
package org.openxma.dsl.core.scoping;

import static org.eclipse.xtext.scoping.Scopes.scopedElementsFor;

import java.util.List;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.xtext.scoping.IScope;
import org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider;
import org.eclipse.xtext.scoping.impl.SimpleScope;
import org.openxma.dsl.core.model.DataTypeAndTypeParameter;
import org.openxma.dsl.core.model.ParameterDefinition;
import org.openxma.dsl.core.model.ParameterValue;
import org.openxma.dsl.core.model.SimpleType;
import org.openxma.dsl.core.model.TypeDefinition;
import org.openxma.dsl.core.model.Validator;
import org.openxma.dsl.core.model.ValidatorReference;

/**
 * This class contains custom scoping description.
 * 
 * see : http://www.eclipse.org/Xtext/documentation/latest/xtext.html#scoping on
 * how and when to use it
 * 
 */
public class CoreDslScopeProvider extends AbstractDeclarativeScopeProvider {

	public IScope classOrDelegateScope(EObject context, EReference reference) {
		IScope scope = polymorphicFindScopeForClassName(context, reference);
		if (scope == null) {
			scope = delegateGetScope(context, reference);
		}
		return scope;
	}

	public final IScope scope_ParameterValue_referencedParameter(ParameterValue parameterValue, EReference eReference) {
		List<ParameterDefinition> parameterDefs = null;
		EObject containerOfReference = null;
		// Parent of ParameterValue
		if (parameterValue.eContainer() instanceof ValidatorReference) {
			ValidatorReference validatorReference = (ValidatorReference) parameterValue.eContainer();
			containerOfReference = validatorReference.eContainer();
		} else if (parameterValue.eContainer() instanceof DataTypeAndTypeParameter) {
			DataTypeAndTypeParameter dataTypeAndTypeParameter = (DataTypeAndTypeParameter) parameterValue.eContainer();
			EObject containerOfDataTypeAndTypeParameter = dataTypeAndTypeParameter.eContainer();
			if (containerOfDataTypeAndTypeParameter instanceof TypeDefinition) {
				containerOfReference = containerOfDataTypeAndTypeParameter.eContainer();
			} else {
				System.out
						.println("Scoping of referencedParameter not implemented for parameter-reference in DataTypeAndTypeParameter '"
								+ containerOfDataTypeAndTypeParameter + "'");
			}
		}
		// Container of ValidatorParameter (the ones which can be referenced)
		if (containerOfReference instanceof Validator) {
			Validator validator = (Validator) containerOfReference;
			parameterDefs = validator.getValidatorParameter();
		} else if (containerOfReference instanceof SimpleType) {
			SimpleType simpleType = (SimpleType) containerOfReference;
			parameterDefs = simpleType.getTypeParameter();
		} else if (containerOfReference instanceof DataTypeAndTypeParameter) {
			DataTypeAndTypeParameter dataTypeAndTypeParameter = (DataTypeAndTypeParameter) containerOfReference;
			parameterDefs = dataTypeAndTypeParameter.getParameterDefinitions();
		} else if (containerOfReference != null) {
			System.out.println("Scoping of referencedParameter not implemented for '" + containerOfReference + "'");
		}
		if (parameterDefs != null) {
			return new SimpleScope(scopedElementsFor(parameterDefs));
		}
		return classOrDelegateScope(parameterValue, eReference);
	}

	
}
