package org.openxma.dsl.core.scoping;

import static org.eclipse.xtext.naming.QualifiedName.create;

import java.util.Arrays;
import java.util.List;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.scoping.impl.ImportNormalizer;
import org.eclipse.xtext.scoping.impl.ImportedNamespaceAwareLocalScopeProvider;
import org.eclipse.xtext.util.Strings;
import org.openxma.dsl.core.model.Model;

public class OpenXmaNamespaceLocalScopeProvider extends ImportedNamespaceAwareLocalScopeProvider {

    private static final List<ImportNormalizer> IMPLICIT_IMPORTS = Arrays.asList(
            new ImportNormalizer(create("org", "openxma", "lang"), true, true),
            new ImportNormalizer(create("org", "openxma", "styles"), true, true));

    @Override
    protected List<ImportNormalizer> getImplicitImports(boolean ignoreCase) {
        return IMPLICIT_IMPORTS;
    }

    @Override
    protected List<ImportNormalizer> internalGetImportedNamespaceResolvers(EObject context, boolean ignoreCase) {
        List<ImportNormalizer> importedNamespaceResolvers = super.internalGetImportedNamespaceResolvers(context,
                ignoreCase);
        if (context instanceof Model) {
            Model model = (Model) context;
            if (!Strings.isEmpty(model.getName())) {
                importedNamespaceResolvers.add(new ImportNormalizer(create(model.getName().split("\\.")), true, false));
            }
        }
        return importedNamespaceResolvers;
    }

}
