/**
 * <copyright>
 * </copyright>
 *
 * $Id: CoreAdapterFactory.java 9011 2012-01-13 14:48:10Z mjohannes $
 */
package org.openxma.dsl.core.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;
import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;
import org.eclipse.emf.ecore.EObject;
import org.openxma.dsl.core.CorePackage;
import org.openxma.dsl.core.model.*;
import org.openxma.dsl.core.model.AdditiveExpr;
import org.openxma.dsl.core.model.AdditiveRights;
import org.openxma.dsl.core.model.AtomicBoolExpr;
import org.openxma.dsl.core.model.AtomicExpr;
import org.openxma.dsl.core.model.BoolLiteral;
import org.openxma.dsl.core.model.BooleanParameterValue;
import org.openxma.dsl.core.model.Call;
import org.openxma.dsl.core.model.CondANDExpr;
import org.openxma.dsl.core.model.CondANDRights;
import org.openxma.dsl.core.model.CondORExpr;
import org.openxma.dsl.core.model.CondORRights;
import org.openxma.dsl.core.model.DataTypeAndTypeParameter;
import org.openxma.dsl.core.model.Editor;
import org.openxma.dsl.core.model.EnumLiteral;
import org.openxma.dsl.core.model.EqualityExpr;
import org.openxma.dsl.core.model.FalseLiteral;
import org.openxma.dsl.core.model.Function;
import org.openxma.dsl.core.model.Import;
import org.openxma.dsl.core.model.Incrementer;
import org.openxma.dsl.core.model.IncrementerReference;
import org.openxma.dsl.core.model.IntLiteral;
import org.openxma.dsl.core.model.IntegerParameterValue;
import org.openxma.dsl.core.model.Literal;
import org.openxma.dsl.core.model.Model;
import org.openxma.dsl.core.model.ModelElement;
import org.openxma.dsl.core.model.MultiplicativeExpr;
import org.openxma.dsl.core.model.MultiplicativeRights;
import org.openxma.dsl.core.model.ParameterDefinition;
import org.openxma.dsl.core.model.ParameterValue;
import org.openxma.dsl.core.model.ParenExpr;
import org.openxma.dsl.core.model.ReferenceWithParameter;
import org.openxma.dsl.core.model.ReferenceableByXmadslVariable;
import org.openxma.dsl.core.model.RelationalExpr;
import org.openxma.dsl.core.model.SimpleType;
import org.openxma.dsl.core.model.SqlType;
import org.openxma.dsl.core.model.StatusFlag;
import org.openxma.dsl.core.model.StringLiteral;
import org.openxma.dsl.core.model.StringParameterValue;
import org.openxma.dsl.core.model.Style;
import org.openxma.dsl.core.model.TrueLiteral;
import org.openxma.dsl.core.model.Type;
import org.openxma.dsl.core.model.TypeDefinition;
import org.openxma.dsl.core.model.Validator;
import org.openxma.dsl.core.model.ValidatorReference;
import org.openxma.dsl.core.model.Variable;
import org.openxma.dsl.core.model.XmadslVariable;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.openxma.dsl.core.CorePackage
 * @generated
 */
public class CoreAdapterFactory extends AdapterFactoryImpl {
	/**
     * The cached model package.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	protected static CorePackage modelPackage;

	/**
     * Creates an instance of the adapter factory.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public CoreAdapterFactory() {
        if (modelPackage == null) {
            modelPackage = CorePackage.eINSTANCE;
        }
    }

	/**
     * Returns whether this factory is applicable for the type of the object.
     * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
     * @return whether this factory is applicable for the type of the object.
     * @generated
     */
	@Override
	public boolean isFactoryForType(Object object) {
        if (object == modelPackage) {
            return true;
        }
        if (object instanceof EObject) {
            return ((EObject)object).eClass().getEPackage() == modelPackage;
        }
        return false;
    }

	/**
     * The switch that delegates to the <code>createXXX</code> methods.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	protected CoreSwitch<Adapter> modelSwitch =
		new CoreSwitch<Adapter>() {
            @Override
            public Adapter caseModel(Model object) {
                return createModelAdapter();
            }
            @Override
            public Adapter caseImport(Import object) {
                return createImportAdapter();
            }
            @Override
            public Adapter caseModelElement(ModelElement object) {
                return createModelElementAdapter();
            }
            @Override
            public Adapter caseType(Type object) {
                return createTypeAdapter();
            }
            @Override
            public Adapter caseSimpleType(SimpleType object) {
                return createSimpleTypeAdapter();
            }
            @Override
            public Adapter caseSqlType(SqlType object) {
                return createSqlTypeAdapter();
            }
            @Override
            public Adapter caseEnumType(EnumType object) {
                return createEnumTypeAdapter();
            }
            @Override
            public Adapter caseEnumLiteral(EnumLiteral object) {
                return createEnumLiteralAdapter();
            }
            @Override
            public Adapter caseParameterDefinition(ParameterDefinition object) {
                return createParameterDefinitionAdapter();
            }
            @Override
            public Adapter caseReferenceWithParameter(ReferenceWithParameter object) {
                return createReferenceWithParameterAdapter();
            }
            @Override
            public Adapter caseValidatorReference(ValidatorReference object) {
                return createValidatorReferenceAdapter();
            }
            @Override
            public Adapter caseValidator(Validator object) {
                return createValidatorAdapter();
            }
            @Override
            public Adapter caseIncrementer(Incrementer object) {
                return createIncrementerAdapter();
            }
            @Override
            public Adapter caseIncrementerReference(IncrementerReference object) {
                return createIncrementerReferenceAdapter();
            }
            @Override
            public Adapter caseEditor(Editor object) {
                return createEditorAdapter();
            }
            @Override
            public Adapter caseStyle(Style object) {
                return createStyleAdapter();
            }
            @Override
            public Adapter caseTypeDefinition(TypeDefinition object) {
                return createTypeDefinitionAdapter();
            }
            @Override
            public Adapter caseDataTypeAndTypeParameter(DataTypeAndTypeParameter object) {
                return createDataTypeAndTypeParameterAdapter();
            }
            @Override
            public Adapter caseParameterValue(ParameterValue object) {
                return createParameterValueAdapter();
            }
            @Override
            public Adapter caseIntegerParameterValue(IntegerParameterValue object) {
                return createIntegerParameterValueAdapter();
            }
            @Override
            public Adapter caseStringParameterValue(StringParameterValue object) {
                return createStringParameterValueAdapter();
            }
            @Override
            public Adapter caseBooleanParameterValue(BooleanParameterValue object) {
                return createBooleanParameterValueAdapter();
            }
            @Override
            public Adapter caseConditionsBlock(ConditionsBlock object) {
                return createConditionsBlockAdapter();
            }
            @Override
            public Adapter caseConstraint(Constraint object) {
                return createConstraintAdapter();
            }
            @Override
            public Adapter caseEqualityExpr(EqualityExpr object) {
                return createEqualityExprAdapter();
            }
            @Override
            public Adapter caseCondORExpr(CondORExpr object) {
                return createCondORExprAdapter();
            }
            @Override
            public Adapter caseCondORRights(CondORRights object) {
                return createCondORRightsAdapter();
            }
            @Override
            public Adapter caseCondANDExpr(CondANDExpr object) {
                return createCondANDExprAdapter();
            }
            @Override
            public Adapter caseCondANDRights(CondANDRights object) {
                return createCondANDRightsAdapter();
            }
            @Override
            public Adapter caseAtomicBoolExpr(AtomicBoolExpr object) {
                return createAtomicBoolExprAdapter();
            }
            @Override
            public Adapter caseRelationalExpr(RelationalExpr object) {
                return createRelationalExprAdapter();
            }
            @Override
            public Adapter caseAdditiveExpr(AdditiveExpr object) {
                return createAdditiveExprAdapter();
            }
            @Override
            public Adapter caseAdditiveRights(AdditiveRights object) {
                return createAdditiveRightsAdapter();
            }
            @Override
            public Adapter caseMultiplicativeExpr(MultiplicativeExpr object) {
                return createMultiplicativeExprAdapter();
            }
            @Override
            public Adapter caseMultiplicativeRights(MultiplicativeRights object) {
                return createMultiplicativeRightsAdapter();
            }
            @Override
            public Adapter caseAtomicExpr(AtomicExpr object) {
                return createAtomicExprAdapter();
            }
            @Override
            public Adapter caseVariable(Variable object) {
                return createVariableAdapter();
            }
            @Override
            public Adapter caseXmadslVariable(XmadslVariable object) {
                return createXmadslVariableAdapter();
            }
            @Override
            public Adapter caseReferenceableByXmadslVariable(ReferenceableByXmadslVariable object) {
                return createReferenceableByXmadslVariableAdapter();
            }
            @Override
            public Adapter caseStatusFlag(StatusFlag object) {
                return createStatusFlagAdapter();
            }
            @Override
            public Adapter caseCall(Call object) {
                return createCallAdapter();
            }
            @Override
            public Adapter caseFunction(Function object) {
                return createFunctionAdapter();
            }
            @Override
            public Adapter caseParenExpr(ParenExpr object) {
                return createParenExprAdapter();
            }
            @Override
            public Adapter caseLiteral(Literal object) {
                return createLiteralAdapter();
            }
            @Override
            public Adapter caseIntLiteral(IntLiteral object) {
                return createIntLiteralAdapter();
            }
            @Override
            public Adapter caseStringLiteral(StringLiteral object) {
                return createStringLiteralAdapter();
            }
            @Override
            public Adapter caseBoolLiteral(BoolLiteral object) {
                return createBoolLiteralAdapter();
            }
            @Override
            public Adapter caseTrueLiteral(TrueLiteral object) {
                return createTrueLiteralAdapter();
            }
            @Override
            public Adapter caseFalseLiteral(FalseLiteral object) {
                return createFalseLiteralAdapter();
            }
            @Override
            public Adapter caseIDocumentable(IDocumentable object) {
                return createIDocumentableAdapter();
            }
            @Override
            public Adapter defaultCase(EObject object) {
                return createEObjectAdapter();
            }
        };

	/**
     * Creates an adapter for the <code>target</code>.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @param target the object to adapt.
     * @return the adapter for the <code>target</code>.
     * @generated
     */
	@Override
	public Adapter createAdapter(Notifier target) {
        return modelSwitch.doSwitch((EObject)target);
    }


	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Model <em>Model</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Model
     * @generated
     */
	public Adapter createModelAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.ModelElement <em>Model Element</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.ModelElement
     * @generated
     */
	public Adapter createModelElementAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Import <em>Import</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Import
     * @generated
     */
	public Adapter createImportAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Type <em>Type</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Type
     * @generated
     */
	public Adapter createTypeAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.SimpleType <em>Simple Type</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.SimpleType
     * @generated
     */
	public Adapter createSimpleTypeAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.SqlType <em>Sql Type</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.SqlType
     * @generated
     */
	public Adapter createSqlTypeAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.EnumType <em>Enum Type</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.EnumType
     * @generated
     */
	public Adapter createEnumTypeAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.EnumLiteral <em>Enum Literal</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.EnumLiteral
     * @generated
     */
	public Adapter createEnumLiteralAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.ParameterDefinition <em>Parameter Definition</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.ParameterDefinition
     * @generated
     */
	public Adapter createParameterDefinitionAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.ReferenceWithParameter <em>Reference With Parameter</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.ReferenceWithParameter
     * @generated
     */
	public Adapter createReferenceWithParameterAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.ValidatorReference <em>Validator Reference</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.ValidatorReference
     * @generated
     */
	public Adapter createValidatorReferenceAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Validator <em>Validator</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Validator
     * @generated
     */
	public Adapter createValidatorAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Incrementer <em>Incrementer</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Incrementer
     * @generated
     */
	public Adapter createIncrementerAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.IncrementerReference <em>Incrementer Reference</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.IncrementerReference
     * @generated
     */
	public Adapter createIncrementerReferenceAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Editor <em>Editor</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Editor
     * @generated
     */
	public Adapter createEditorAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Style <em>Style</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Style
     * @generated
     */
	public Adapter createStyleAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.TypeDefinition <em>Type Definition</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.TypeDefinition
     * @generated
     */
	public Adapter createTypeDefinitionAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.DataTypeAndTypeParameter <em>Data Type And Type Parameter</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.DataTypeAndTypeParameter
     * @generated
     */
	public Adapter createDataTypeAndTypeParameterAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.ParameterValue <em>Parameter Value</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.ParameterValue
     * @generated
     */
	public Adapter createParameterValueAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.IntegerParameterValue <em>Integer Parameter Value</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.IntegerParameterValue
     * @generated
     */
	public Adapter createIntegerParameterValueAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.StringParameterValue <em>String Parameter Value</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.StringParameterValue
     * @generated
     */
	public Adapter createStringParameterValueAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.BooleanParameterValue <em>Boolean Parameter Value</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.BooleanParameterValue
     * @generated
     */
	public Adapter createBooleanParameterValueAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.ConditionsBlock <em>Conditions Block</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.ConditionsBlock
     * @generated
     */
	public Adapter createConditionsBlockAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Constraint <em>Constraint</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Constraint
     * @generated
     */
	public Adapter createConstraintAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.EqualityExpr <em>Equality Expr</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.EqualityExpr
     * @generated
     */
	public Adapter createEqualityExprAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.CondORExpr <em>Cond OR Expr</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.CondORExpr
     * @generated
     */
	public Adapter createCondORExprAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.CondORRights <em>Cond OR Rights</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.CondORRights
     * @generated
     */
	public Adapter createCondORRightsAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.CondANDExpr <em>Cond AND Expr</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.CondANDExpr
     * @generated
     */
	public Adapter createCondANDExprAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.CondANDRights <em>Cond AND Rights</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.CondANDRights
     * @generated
     */
	public Adapter createCondANDRightsAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.AtomicBoolExpr <em>Atomic Bool Expr</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.AtomicBoolExpr
     * @generated
     */
	public Adapter createAtomicBoolExprAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.RelationalExpr <em>Relational Expr</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.RelationalExpr
     * @generated
     */
	public Adapter createRelationalExprAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.AdditiveExpr <em>Additive Expr</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.AdditiveExpr
     * @generated
     */
	public Adapter createAdditiveExprAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.AdditiveRights <em>Additive Rights</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.AdditiveRights
     * @generated
     */
	public Adapter createAdditiveRightsAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.MultiplicativeExpr <em>Multiplicative Expr</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.MultiplicativeExpr
     * @generated
     */
	public Adapter createMultiplicativeExprAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.MultiplicativeRights <em>Multiplicative Rights</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.MultiplicativeRights
     * @generated
     */
	public Adapter createMultiplicativeRightsAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.AtomicExpr <em>Atomic Expr</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.AtomicExpr
     * @generated
     */
	public Adapter createAtomicExprAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Variable <em>Variable</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Variable
     * @generated
     */
	public Adapter createVariableAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.XmadslVariable <em>Xmadsl Variable</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.XmadslVariable
     * @generated
     */
	public Adapter createXmadslVariableAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.ReferenceableByXmadslVariable <em>Referenceable By Xmadsl Variable</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.ReferenceableByXmadslVariable
     * @generated
     */
	public Adapter createReferenceableByXmadslVariableAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.StatusFlag <em>Status Flag</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.StatusFlag
     * @generated
     */
	public Adapter createStatusFlagAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Call <em>Call</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Call
     * @generated
     */
	public Adapter createCallAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Function <em>Function</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Function
     * @generated
     */
	public Adapter createFunctionAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.ParenExpr <em>Paren Expr</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.ParenExpr
     * @generated
     */
	public Adapter createParenExprAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.Literal <em>Literal</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.Literal
     * @generated
     */
	public Adapter createLiteralAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.IntLiteral <em>Int Literal</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.IntLiteral
     * @generated
     */
	public Adapter createIntLiteralAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.StringLiteral <em>String Literal</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.StringLiteral
     * @generated
     */
	public Adapter createStringLiteralAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.BoolLiteral <em>Bool Literal</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.BoolLiteral
     * @generated
     */
	public Adapter createBoolLiteralAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.TrueLiteral <em>True Literal</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.TrueLiteral
     * @generated
     */
	public Adapter createTrueLiteralAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.FalseLiteral <em>False Literal</em>}'.
     * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.FalseLiteral
     * @generated
     */
	public Adapter createFalseLiteralAdapter() {
        return null;
    }

	/**
     * Creates a new adapter for an object of class '{@link org.openxma.dsl.core.model.IDocumentable <em>IDocumentable</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see org.openxma.dsl.core.model.IDocumentable
     * @generated
     */
    public Adapter createIDocumentableAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for the default case.
     * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
     * @return the new adapter.
     * @generated
     */
	public Adapter createEObjectAdapter() {
        return null;
    }

} //CoreAdapterFactory
